package com.lanyuanxiaoyao.service.ai.knowledge.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author lanyuanxiaoyao
 * @version 20250527
 */
@Configuration
@ConfigurationProperties(prefix = "knowledge")
public class KnowledgeConfiguration {
  private String downloadPrefix;
  private String uploadPath;

  public String getDownloadPrefix() {
    return downloadPrefix;
  }

  public void setDownloadPrefix(String downloadPrefix) {
    this.downloadPrefix = downloadPrefix;
  }

  public String getUploadPath() {
    return uploadPath;
  }

  public void setUploadPath(String uploadPath) {
    this.uploadPath = uploadPath;
  }

  @Override
  public String toString() {
    return "KnowledgeConfiguration{" +
           "downloadPrefix='" + downloadPrefix + '\'' +
           ", uploadPath='" + uploadPath + '\'' +
           '}';
  }
}
